Skip to main content

Create a property list configuration

POSThttps://api.propexo.com/v1/admin/integrations/:integration_id/property-lists

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

integration_id stringrequired

The Propexo unique identifier for the integration

Request​

This endpoint expects an object.

    x_property_list_idstringrequired

    The external ID from the PMS for the property list. This is not the Propexo ID. You may need to request this value from your customer

    enabledbooleanrequired

    Whether or not we should be syncing data for this property list on this integration

Response​

Successful response

    results objectrequired
    idstringrequired

    ID

    created_atstringrequired

    The date record first entered Propexo

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_list_idstringrequired

    The Propexo unique identifier for the property list

    x_property_list_idstringrequired

    The external ID from the integration vendor

    enabledbooleanrequired

    Whether the property list is enabled and will have data ingested

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/admin/integrations/:integration_id/property-lists
curl -X POST https://api.propexo.com/v1/admin/integrations/:integration_id/property-lists \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"x_property_list_id": "string",
"enabled": true
}'
200 Successful response
{
"results": {
"id": "string",
"created_at": "string",
"integration_id": "string",
"property_list_id": "string",
"x_property_list_id": "string",
"enabled": true
}
}